package cn.com.qmth.ac.controller;

import javax.annotation.Resource;

import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.alibaba.fastjson.JSONObject;

import cn.com.qmth.ac.bean.RedirectParam;
import cn.com.qmth.ac.service.CommonService;
import cn.com.qmth.ac.util.Result;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;

@RestController
@RequestMapping("api/auth")
@Validated
public class AuthController {

    @Resource
    private CommonService commonService;

    @ApiOperation(value = "cas鉴权接口")
    @ApiResponses({ @ApiResponse(code = 200, message = "返回消息", response = Result.class) })
    @RequestMapping(value = "login/{schoolCode}", method = RequestMethod.GET)
    public void authentication(@ApiParam(value = "学校编码") @PathVariable("schoolCode") String schoolCode) {
        RedirectParam redirectParams = commonService.authentication(schoolCode);
        commonService.redirect(redirectParams);
    }

    @ApiOperation(value = "cas鉴权退出接口")
    @RequestMapping(value = "logout/{schoolCode}", method = RequestMethod.GET)
    @ApiResponses({ @ApiResponse(code = 200, message = "返回消息", response = Result.class) })
    public JSONObject logout(@ApiParam(value = "学校编码") @PathVariable("schoolCode") String schoolCode) {
        JSONObject js = new JSONObject();
        js.put("url", commonService.logout(schoolCode));
        return js;
    }

}
